Skip to main content
`Ctrl`+`K`

# SNESSetNPCSide

Sets the nonlinear preconditioning side used by the nonlinear preconditioner inside `SNES`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetNPCSide(SNES snes, PCSide side)

Logically Collective

## Input Parameter

- snes - iterative context obtained from `SNESCreate()`

## Output Parameter

- side - the preconditioning side, where side is one of

          PC_LEFT  - left preconditioning
          PC_RIGHT - right preconditioning (default for most nonlinear solvers)

## Options Database Key

- -snes_npc_side <right,left> - nonlinear preconditioner side

## Note

`SNESNRICHARDSON` and `SNESNCG` only support left preconditioning.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetNPC()`, `SNESNRICHARDSON`, `SNESNCG`, `SNESType`, `SNESGetNPCSide()`, `KSPSetPCSide()`, `PC_LEFT`, `PC_RIGHT`, `PCSide`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages